Bug 1477255 - [abrt] cinnamon-settings-daemon: csd_smartcard_get_name(): csd-smartcard killed by signal 11
Summary: [abrt] cinnamon-settings-daemon: csd_smartcard_get_name(): csd-smartcard kill...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-settings-daemon
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:04ef0ebd1982878fb466c30e697...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-01 14:57 UTC by Erik Lentz
Modified: 2018-03-11 22:18 UTC (History)
6 users (show)

Fixed In Version: cinnamon-settings-daemon-3.6.2-1.el7 cinnamon-settings-daemon-3.6.2-1.fc26 cinnamon-settings-daemon-3.6.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-11 19:42:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.02 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: core_backtrace (8.08 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: dso_list (8.43 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: environ (1.44 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: maps (39.34 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: open_fds (865 bytes, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details
File: var_log_messages (410 bytes, text/plain)
2017-08-01 14:57 UTC, Erik Lentz
no flags Details

Description Erik Lentz 2017-08-01 14:57:30 UTC
Version-Release number of selected component:
cinnamon-settings-daemon-3.4.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: csd_smartcard_get_name
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=eaed752eb3414696829b590a6a5e1909;i=9cb8ba;b=bb90d36cd68d4863a2c1bfc234549888;m=132476c;t=5554c1a94ba76;x=e273532b11e90c2b
kernel:         4.11.11-300.fc26.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 csd_smartcard_get_name at csd-smartcard.c:232
 #1 csd_smartcard_manager_get_all_cards at csd-smartcard-manager.c:853
 #2 csd_smartcard_manager_start at csd-smartcard-manager.c:960

Comment 1 Erik Lentz 2017-08-01 14:57:35 UTC
Created attachment 1307683 [details]
File: backtrace

Comment 2 Erik Lentz 2017-08-01 14:57:36 UTC
Created attachment 1307684 [details]
File: cgroup

Comment 3 Erik Lentz 2017-08-01 14:57:37 UTC
Created attachment 1307685 [details]
File: core_backtrace

Comment 4 Erik Lentz 2017-08-01 14:57:38 UTC
Created attachment 1307686 [details]
File: cpuinfo

Comment 5 Erik Lentz 2017-08-01 14:57:39 UTC
Created attachment 1307687 [details]
File: dso_list

Comment 6 Erik Lentz 2017-08-01 14:57:40 UTC
Created attachment 1307688 [details]
File: environ

Comment 7 Erik Lentz 2017-08-01 14:57:41 UTC
Created attachment 1307689 [details]
File: exploitable

Comment 8 Erik Lentz 2017-08-01 14:57:42 UTC
Created attachment 1307690 [details]
File: limits

Comment 9 Erik Lentz 2017-08-01 14:57:44 UTC
Created attachment 1307691 [details]
File: maps

Comment 10 Erik Lentz 2017-08-01 14:57:45 UTC
Created attachment 1307692 [details]
File: open_fds

Comment 11 Erik Lentz 2017-08-01 14:57:46 UTC
Created attachment 1307693 [details]
File: proc_pid_status

Comment 12 Erik Lentz 2017-08-01 14:57:47 UTC
Created attachment 1307694 [details]
File: var_log_messages

Comment 13 jezekus 2017-09-05 21:47:46 UTC
Similar problem has been detected:

Logged in after reboot

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: csd_smartcard_get_name
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=8bffa45714c64443a5f19e6328c9f799;i=5820d;b=fade650ce3de4ddab248e71646951908;m=23e173a;t=5587814431e94;x=fd8f195c40cf11b6
kernel:         4.12.9-300.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-smartcard killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 chanueting 2017-09-29 17:56:18 UTC
Similar problem has been detected:

Trying open a new project in Intellij in VM then crashed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: csd_smartcard_get_name
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=dc8c90da3797446296f28f9601f553bd;i=c302;b=47164e97fc044c53bc67a83f7cea0b54;m=6c60d351;t=55a5788e46953;x=831e2fde36e3e8d1
kernel:         4.12.13-300.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 jezekus 2017-10-31 11:50:16 UTC
Similar problem has been detected:

Logged in and error appeared.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: csd_smartcard_get_name
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=8bffa45714c64443a5f19e6328c9f799;i=8ac0b;b=07826b11168e41948760e0ecd1fb6a42;m=15e89f2;t=55cd641b30b3b;x=18368edf97a8438f
kernel:         4.13.9-200.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora Update System 2018-02-15 18:28:24 UTC
cinnamon-settings-daemon-3.6.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c8a1d557f

Comment 17 Fedora Update System 2018-02-15 18:28:45 UTC
cinnamon-settings-daemon-3.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ced92c2eac

Comment 18 Fedora Update System 2018-02-15 18:28:59 UTC
cinnamon-settings-daemon-3.6.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-28f1c4d089

Comment 19 Fedora Update System 2018-02-16 15:41:58 UTC
cinnamon-settings-daemon-3.6.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-28f1c4d089

Comment 20 Fedora Update System 2018-02-16 15:58:04 UTC
cinnamon-settings-daemon-3.6.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ced92c2eac

Comment 21 Fedora Update System 2018-02-16 16:27:38 UTC
cinnamon-settings-daemon-3.6.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c8a1d557f

Comment 22 Fedora Update System 2018-03-11 19:42:26 UTC
cinnamon-settings-daemon-3.6.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-03-11 19:58:30 UTC
cinnamon-settings-daemon-3.6.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2018-03-11 22:18:13 UTC
cinnamon-settings-daemon-3.6.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.